
Robotics Systems Types - Feature #1544
Add Collision to the sandbox
06/19/2013 03:46 PM - D. Seidel

Status: Resolved Start date: 06/19/2013
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Estimated time: 0.00 hour
Target version:
Description

Please add Collision to trunk and 0.7 branches. Thx

Associated revisions
Revision 522f85dc - 07/11/2013 01:53 PM - D. Seidel

Added CollisionGeometry which describes the contact points of a collision

refs #1544

Revision ec0c958d - 07/11/2013 01:53 PM - D. Seidel

Added ObjectCollision which describes a collision of two objects

refs #1544

Revision e235429c - 07/11/2013 01:54 PM - D. Seidel

Backport: Added CollisionGeometry which describes the contact points of a collision

refs #1544

Revision 4b840996 - 07/11/2013 01:55 PM - D. Seidel

Backport: Added ObjectCollision which describes a collision of two objects

refs #1544

Revision 8627c4d7 - 07/11/2013 01:55 PM - D. Seidel

Backport: Added RobotCollision with describes a collision of robot with itself or other things

refs #1544

Revision 77d83399 - 07/11/2013 02:03 PM - D. Seidel

Added RobotCollision with describes a collision of robot with itself or other things
fixes #1544

History
#1 - 06/19/2013 09:30 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#2 - 06/20/2013 02:03 AM - J. Moringen
- File 0001-Added-CollisionGeometry-which-describes-the-contact-.patch added
- File 0002-Added-ObjectCollision-which-describes-a-collision-of.patch added
- File 0003-Added-RobotCollision-with-describes-a-collision-of-r.patch added
- Status changed from In Progress to Feedback

In the attachments 0001-Added-CollisionGeometry…, 0002-Added-ObjectCollision…. 0003-Added-RobotCollision…, I split the original commit and
type into three commits of three types:

    -  rst.kinematics.CollisionGeometry (could later be extended with collision normals etc.)
    -  rst.kinematics.ObjectCollision
    -  rst.robot.RobotCollision

to increase coherence and reusability.

I also changed some names and documentation comments to comply with our guidelines.

@Daniel, Christian: would these changed types still be suitable for your needs?
@Arne, Johannes, Sebastian: do you think the organization into separate types makes sense?
@Christof, Robert: since you have experience with modeling collisions, do you have any suggestions?

#3 - 06/28/2013 01:32 PM - J. Moringen

@Daniel:  did you have time to look at the suggested changes?

#4 - 06/28/2013 04:19 PM - D. Seidel

@Jan: I am waiting for Christian, who is on a trip this week (and some part of the next I think), to discuss the changes. We will answer as soon as we
came to talk about it!

#5 - 07/08/2013 02:55 PM - D. Seidel
- File 0005-removed-required-operator-for-fields-of-ObjectCollis.patch added
- File 0006-renamed-ObjectCollision-field-in-RobotCollision.patch added

Updated new types according to our discussion, removing the required fields for the ObjectCollision and renaming the ObjectCollision variable in the
RobotCollision

#6 - 07/11/2013 02:15 PM - D. Seidel
- Status changed from Feedback to Resolved
- % Done changed from 0 to 100

Applied in changeset rst-proto|commit:77d83399b20d2424e0e4c1896e78f4da9027acc0.

Files
0001-added-new-rst-type-Collision-to-sandbox.patch 1.44 KB 06/19/2013 D. Seidel
0001-Added-CollisionGeometry-which-describes-the-contact-.patch 1.24 KB 06/19/2013 J. Moringen
0002-Added-ObjectCollision-which-describes-a-collision-of.patch 1.35 KB 06/19/2013 J. Moringen
0003-Added-RobotCollision-with-describes-a-collision-of-r.patch 2.16 KB 06/19/2013 J. Moringen
0005-removed-required-operator-for-fields-of-ObjectCollis.patch 1.14 KB 07/08/2013 D. Seidel
0006-renamed-ObjectCollision-field-in-RobotCollision.patch 898 Bytes 07/08/2013 D. Seidel
